scoreboard players set @e[scores={player=1..}] first 0
# 随机选取一名玩家先抽牌
scoreboard players set @e[sort=random,scores={player=1..},limit=1] first 1
# 初始化玩家生命值
scoreboard players set @e[scores={player=1..}] health 5
# 将game_step推进到1，所有game:tick中的命令只会在gamestep>0时执行
scoreboard players set @e[tag=game] game_step 1
# turn记录玩家已经进行了几轮游戏
scoreboard players set @e[tag=game] turn 0
# display标记了游戏进行到了那一步（如抽牌阶段，轮换过场动画阶段，结算阶段，结束）
scoreboard players set @e[tag=game] display 2
# playtime记录了动画播放的时间（轮换过场动画阶段，结算阶段，结束）
scoreboard players set @e[tag=game] playtime 80
teleport @a 14 4 7
gamemode adventure @a
title @a title [{"text":"WELCOME","bold":"true","color":"gold"}]
title @a subtitle [{"text":"LOSERS!","bold":"true","color":"red"}]
effect give @a minecraft:blindness 2 1 true
effect give @a minecraft:slowness 1 1 true
# 初始化视角晃动的交互系统
function headshake:load
# 将玩家的赌注大小显示在list上
scoreboard objectives setdisplay list bet
# 生成显示“LOSE”,"YOUR TURN"等信息的两个盔甲架
execute as @e[tag=seat] at @s positioned ^ ^ ^-2 run summon minecraft:armor_stand ~-2.5 ~0.6 ~ {Tags:["textbox","obj"],CustomNameVisible:1b,NoGravity:1b,Invisible:1b,Marker:1b,DisabledSlots:7967}
# 生成记录下一张牌的位置的两个AEC
execute as @e[tag=seat_1] at @s positioned ^ ^ ^1.9 run summon minecraft:area_effect_cloud ~0.5 ~0.5 ~ {Tags:["summonc","sc1","obj"],Duration:9999999}
execute as @e[tag=seat_2] at @s positioned ^ ^ ^1.9 run summon minecraft:area_effect_cloud ~0.5 ~0.5 ~ {Tags:["summonc","sc2","obj"],Duration:9999999,Rotation:[180f,0f,0f]}
execute as @e[tag=seat_1] at @s positioned ^ ^ ^2.3 run summon minecraft:area_effect_cloud ~0.35 ~0.5 ~ {Tags:["summonf","sf1","obj"],Duration:9999999}
execute as @e[tag=seat_2] at @s positioned ^ ^ ^2.3 run summon minecraft:area_effect_cloud ~0.35 ~0.5 ~ {Tags:["summonf","sf2","obj"],Duration:9999999,Rotation:[180f,0f,0f]}
# AI村民
execute as @e[scores={player=1},tag=seat_1] at @s run summon minecraft:armor_stand ~ ~2.2 ~ {Tags:["nametag","obj","p1"],CustomName:'{"text":"Clancy"}',CustomNameVisible:1b,NoGravity:1b,Invisible:1b,Marker:1b,DisabledSlots:7967}
execute as @e[scores={player=1},tag=seat_1] at @s run summon minecraft:armor_stand ~ ~1.72 ~ {Tags:["betag","obj","p1"],CustomNameVisible:1b,NoGravity:1b,Invisible:1b,Marker:1b,DisabledSlots:7967}
execute as @e[scores={player=1},tag=seat_1] at @s run summon minecraft:villager ~ ~ ~ {Tags:["ai","p1","obj"],NoAI:1b,Silent:1b,Rotation:[0f,20f],CustomNameVisible:1b}
execute as @e[scores={player=2},tag=seat_2] at @s run summon minecraft:armor_stand ~ ~2.2 ~ {Tags:["nametag","obj","p2"],CustomName:'{"text":"Hoffman"}',CustomNameVisible:1b,NoGravity:1b,Invisible:1b,Marker:1b,DisabledSlots:7967,Rotation:[180f,0f,0f]}
execute as @e[scores={player=2},tag=seat_2] at @s run summon minecraft:armor_stand ~ ~1.72 ~ {Tags:["betag","obj","p2"],CustomNameVisible:1b,NoGravity:1b,Invisible:1b,Marker:1b,DisabledSlots:7967,Rotation:[180f,0f,0f]}
execute as @e[scores={player=2},tag=seat_2] at @s run summon minecraft:villager ~ ~ ~ {Tags:["ai","p2","obj"],NoAI:1b,Silent:1b,Rotation:[180f,20f],CustomNameVisible:1b}
effect give @e[tag=ai] minecraft:resistance 999999 100 true
# 清零
scoreboard players set @e[scores={player=1..}] func_2 0
scoreboard players set @e[scores={player=1..}] func_3 0
scoreboard players set @e[scores={player=1..}] func_4 0
scoreboard players set @e[scores={player=1..}] func_5 0
scoreboard players set @e[scores={player=1..}] func_6 0
scoreboard players set @e[scores={player=1..}] func_back 0
scoreboard players set @e[scores={player=1..}] func_revo 0
scoreboard players set @e[scores={player=1..}] func_exch 0
scoreboard players set @e[scores={player=1..}] func_24 0
scoreboard players set @e[scores={player=1..}] func_plus 0
scoreboard players set @e[scores={player=1..}] func_denf 0
scoreboard players set @e[scores={player=1..}] func_dest 0